# -*- encoding: utf-8 -*-
# -----------------------------------------------------------------------------
# @File Name  : version1.py
# @Time       : 2020/11/18 下午3:31
# @Author     : X. Peng
# @Email      : acepengxiong@163.com
# @Software   : PyCharm
# -----------------------------------------------------------------------------
from app.controller.order import *


def add_route(api):
    """注册路由"""
    # 充值订单
    api.add_resource(TopUpOrder, '/tamp_order/micro_shop/topUpOrder')
    # 消费订单
    api.add_resource(ConsumeOrder, '/tamp_order/micro_shop/consumeOrder')
    # 充值订单支付通知
    api.add_resource(TopUpOrderNotify, '/tamp_order/micro_shop/topUpOrderNotify')
    # 消费订单支付通知
    api.add_resource(ConsumeOrderNotify, '/tamp_order/micro_shop/consumeOrderNotify')
    # 查询探普币余额
    api.add_resource(AccountBalance, '/tamp_order/micro_shop/accountBalance')
    # 查询全部订单
    api.add_resource(AllOrders, '/tamp_order/micro_shop/AllOrders')

